Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.epochx.stats
Enum MutationStatField

    java.lang.Object
      java.lang.Enum<MutationStatField>
          com.epochx.stats.MutationStatField

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MutationStatField>

    public enum MutationStatField

extends java.lang.Enum<MutationStatField>

This enum gives all the available mutation statistics that can be requested. Mutation statistics are those statistics that are generated per mtuation operation. Each MutationStatField has a datatype related to it which is the type which the data will be returned in.

See Also:
  `MutationStatListener`, `GenerationStatField`, `CrossoverStatField`, `RunStatField`

Enum Constant Summary
`PROGRAM_AFTER` Requests a CandidateProgram which is the program as it exists after the mutation operation was applied.
`PROGRAM_BEFORE` Requests a CandidateProgram which is a clone of the program as it was before the mutation operation was applied.
`REVERTED_MUTATIONS` Requests an Integer which is the number of mutations that were reverted due to model rejection.
`RUN_TIME` Requests a Long which is the length of time in nanoseconds that the mutation operation took to complete.

Method Summary
`static MutationStatField` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MutationStatField[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PROGRAM_BEFORE

    public static final MutationStatField PROGRAM_BEFORE

  Requests a CandidateProgram which is a clone of the program as it was before the mutation operation was applied.

### PROGRAM_AFTER

    public static final MutationStatField PROGRAM_AFTER

  Requests a CandidateProgram which is the program as it exists after the mutation operation was applied.

### RUN_TIME

    public static final MutationStatField RUN_TIME

  Requests a Long which is the length of time in nanoseconds that the mutation operation took to complete.

### REVERTED_MUTATIONS

    public static final MutationStatField REVERTED_MUTATIONS

  Requests an Integer which is the number of mutations that were reverted due to model rejection.

Method Detail

### values

    public static MutationStatField[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MutationStatField c : MutationStatField.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MutationStatField valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD